4

I am trying to use WiFi on my new laptop.

The laptop is "Acer Aspire R11 R3-131T-P7HR".

When I run

$ lspci | grep Network

I see this

02:00.0 Network controller: Intel Corporation Device 3165 (rev 81)

When I try to run this

sudo ifconfig wlan0 up

I only get

wlan0: ERROR while getting interface flags: No such device

I don't see wlan anywhere when running ifconfig. Some more outputs:

$ uname -a
Linux peepee 3.19.0-30-generic #34~14.04.1-Ubuntu SMP Fri Oct 2 22:09:39 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

$ rfkill list
1: acer-wireless: Wireless LAN
    Soft blocked: no
    Hard blocked: no
2: hci0: Bluetooth
    Soft blocked: no
    Hard blocked: no

$ lspci -knn|grep Net -A2
02:00.0 Network controller [0280]: Intel Corporation Device [8086:3165] (rev 81)
    Subsystem: Intel Corporation Device [8086:4010]

The wi-fi worked when I used windows, before I removed it. What should I do/install?

  • I've read a couple of articles that indicate that support for the Intel 3165 is not present in the Kernel used in Ubuntu 15.04 and lower. The Kernel for Ubuntu 15.10 does support the 3165, apparently, and can be downloaded in beta 2 version right now - the official release date for 15.10 is Oct 22. – Charles Green Oct 7 '15 at 16:29
  • Ok. I updated the kernel, which caused my graphic card to stop working and the display stays black (it still works when booting to older kernel). The fight keeps going. – Karel Bílek Oct 7 '15 at 16:49
  • What is the Ubuntu version? Please edit your question and add output of lspci -knn | grep Net -A2; rfkill list terminal command. – Pilot6 Oct 7 '15 at 16:58
  • @Pilot6 I edited the question. I will try to install the whole beta system instead of just upgrading the kernel. – Karel Bílek Oct 7 '15 at 21:18
  • I would rather see you use backports-20150903 and the appropriate firmware file than use a short term version, unless you are using 15.04 now – Jeremy31 Oct 7 '15 at 23:48
3

I've got the same wifi card on my MSI GE62 6QD Apache Pro.

Installing the 15.10 beta did work for me, but then I had all of the problems associated with running a beta Ubuntu build.

But I managed to get it working on 14.04 with kernel 4.2.3. The newer kernel has support for the wifi card. However, this kernel seems to have some issues with older NVIDIA drivers. So, to get the graphics to work, I needed to install NVIDIA-352 from the edgers PPA.

Step by step instructions:

  1. Download and install Ubuntu 14.04.
  2. Make a temporary directory to store your downloads:
    • mkdir kern
    • cd kern
  3. Download the required kernel files:
    • wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.2.3-unstable/linux-headers-4.2.3-040203-generic_4.2.3-040203.201510030832_amd64.deb
    • wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.2.3-unstable/linux-image-4.2.3-040203-generic_4.2.3-040203.201510030832_amd64.deb
    • wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.2.3-unstable/linux-headers-4.2.3-040203_4.2.3-040203.201510030832_all.deb
  4. Install the kernel
    • sudo dpkg -i *.deb
  5. Remove old Nvidia drivers:
    • sudo apt-get purge nvidia*
  6. Install new Nvidia drivers:
    • sudo add-apt-repository ppa:xorg-edgers/ppa
    • sudo apt-get update
    • sudo apt-get install nvidia-352

Now when you restart, you should have an option in grub to boot Ubuntu with kernel 4.2. Do this and you should be good to go. If it doesn't work, blacklisting Nouveau might be necessary.

EDIT: On my MSI GE62, it's also critical that bumblebee and bumblebee-nvidia be installed.

sudo apt-get install bumblebee bumblebee-nvidia

  • for me, i had to also install a 3rd package: wget kernel.ubuntu.com/~kernel-ppa/mainline/v4.2.3-unstable/… for the kernel to install properly. – bmilesp Oct 22 '15 at 4:01
  • Right. Missed that one. I've added it now :) – BenB Oct 22 '15 at 19:45
  • This (e the kernel upgrade - no nvidia stuff to worry about) worked for me on my Dell 13-7000 Running Ubuntu 14.04. – davidgo Dec 21 '15 at 6:39
  • nvidia-352 is the one provided now, no ppa needed anymore. Other topic: can you elaborate why bumblebee is needed? – Fla Jan 24 '16 at 21:50
  • Weirdly, the one found in the graphical app in the softwares and update doesn't work when the one provided by the ppa works. Both are designed as nvidia-352 though... No idea what's going on. – Fla Jan 24 '16 at 22:39
3

Installing Ubuntu 15.10 fixed my issue.

protected by Community Jan 15 '16 at 15:01

Thank you for your interest in this question. Because it has attracted low-quality or spam answers that had to be removed, posting an answer now requires 10 reputation on this site (the association bonus does not count).

Would you like to answer one of these unanswered questions instead?

Not the answer you're looking for? Browse other questions tagged or ask your own question.